net.sf.statcvs.charts

## Class ModuleSizePieChartMaker

- java.lang.Object
- - net.sf.statcvs.charts.ModuleSizePieChartMaker

    public class ModuleSizePieChartMaker
    extends java.lang.Object

Class for producing directory pie charts

Version:
  $Id: ModuleSizePieChartMaker.java,v 1.2 2009/08/31 19:16:35 benoitx Exp $
Author:
  jentzsch, Richard Cyganiak (richard@cyganiak.de)

### Constructor Summary

Constructors
Constructor and Description
`ModuleSizePieChartMaker(java.lang.String chartName, ReportConfig config, java.lang.String title, java.lang.String subTitle, java.lang.String fileName)` Creates a new PieChartMaker

### Method Summary

Methods
`ChartImage` `toFile()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModuleSizePieChartMaker

    public ModuleSizePieChartMaker(java.lang.String chartName,
                           ReportConfig config,
                           java.lang.String title,
                           java.lang.String subTitle,
                           java.lang.String fileName)

Creates a new PieChartMaker

Parameters:
  `config` - The report configuration to use
  `directories` - The set of directories to consider
  `title` - The chart title
  `fileName` - The file name for chart

### Method Detail

#### toFile

    public ChartImage toFile()